%define major		1
%define gi_major	1.0

Summary:   GTK support library for colord
Name:      colord-gtk
Version:   0.3.1
Release:   %mkrel 1
License:   LGPLv2+
Group: System/Libraries
URL:       http://www.freedesktop.org/software/colord/
Source0:   http://www.freedesktop.org/software/colord/releases/%{name}-%{version}.tar.xz
#------------------------------------------------
BuildRequires: docbook-utils
BuildRequires: gettext
BuildRequires: colord-devel
BuildRequires: intltool
BuildRequires: lcms2-devel
BuildRequires: vala-tools
BuildRequires: meson
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: gobject-introspection-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: docbook5-style-xsl
#------------------------------------------------

%description
colord-gtk is a support library for colord and provides additional
functionality that requires GTK+.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: lib64colord-gtk-devel
Provides: lib64colord-gtk-devel = %{version}-%{release}

%description devel
Files for development with %{name}.

%prep
%setup -q

%build
# from tex
CFLAGS+=' -fcommon'
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"	
   
%meson -Ddocs=true -Dgtk2=false -Dman=true -Dtests=false -Dvapi=true
%meson_build

%install
rm -rf %buildroot

###make install DESTDIR=%buildroot

%meson_install

# Remove static libs and libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

%files 
%doc README AUTHORS NEWS COPYING
%{_bindir}/*
%{_mandir}/man1/*.1.*
%{_libdir}/libcolord-gtk.so.%{major}*
%{_datadir}/locale/*/LC_MESSAGES/colord-gtk.mo
#gtk4
%{_libdir}/libcolord-gtk4.so.%{major}*

%files devel
%doc %{_datadir}/gtk-doc/html/colord-gtk
%{_libdir}/libcolord-gtk.so
%{_libdir}/pkgconfig/colord-gtk.pc
%{_includedir}/colord-1/colord-gtk.h
%{_includedir}/colord-1/colord-gtk/
%{_datadir}/gir-1.0/ColordGtk-1.0.gir
%{_datadir}/vala/vapi/colord-gtk.vapi
%{_datadir}/vala/vapi/colord-gtk.deps
%{_libdir}/girepository-1.0/ColordGtk-%{gi_major}.typelib
#gtk4
%{_libdir}/libcolord-gtk4.so
%{_libdir}/pkgconfig/colord-gtk4.pc


%changelog
* Thu Feb 15 2024 onkelho <oh.quait at gmail.com> - 0.3.1-1quait2024
- new version on 2024-01-25

* Sat Aug 17 2019 tex - 0.2.0-2pclos2019
- fix devel name I hate it when people
- change the rpm name from the previous version

* Fri Aug 16 2019 onkelho <oh.quait at gmail.com> - 0.2.0-1pclos2019
- new release, updated colord
- New Features:
 - Migrate to gettext (Martin Blanchard)
 - Port to DocBook 5 (Martin Blanchard)
 - Port to the Meson build system (Martin Blanchard)
- Bugfixes:
 - Do not leak plug_name (Roman Lebedev)
 - Fix gtk-doc build when srcdir != builddir (Ting-Wei Lan)

* Tue Jun 04 2019 onkelho <oh.quait at gmail.com> - 0.1.27-3pclos2019
- rebuild -fix develrequires

* Sat May 25 2019 onkelho <oh.quait at gmail.com> 0.1.27-1pclos2019
- new ver 
- Gtk+3 and additional Gtk+2 support

* Mon Nov 03 2014 bb <bb> 0.1.25-2pclos2014
- clean up specfile a little

* Thu Oct 30 2014 pinoc <vogtpet at gmail.com> 0.1.25-1pclos2014
- imported package
